wxRuby Documentation Home

# Wx::MirrorDC

MirrorDC is a simple wrapper class which is always associated with a real
DC object and either forwards all of its operations to it
without changes (no mirroring takes place) or exchanges x and y
coordinates which makes it possible to reuse the same code to draw a figure and
its mirror — i.e. reflection related to the diagonal line $x == y$.

MirrorDC has been added in Widgets version 2.5.0.

## Derived from

DC

## Methods

- MirrorDC.new

### MirrorDC.new

MirrorDC.new(%(arg-type)DC% dc, Boolean mirror)

Creates a (maybe) mirrored DC associated with the real dc. Everything
drawn on MirrorDC will appear (and maybe mirrored) on dc.

mirror specifies if we do mirror (if it is ) or not (if it is
).

[This page automatically generated from the Textile source at 2023-06-09 00:45:26 +0000]